package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author :   honghui.jiang
 * @CreateDate : 2021-07-28 18:53
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "IF_QMS_WMS_INQC")
@Api("同步质检表")
public class QmsWmsInqc extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2821213670812244228L;
    @Column(name = "RUID")
    @ApiParam("RUID")
    private Integer ruid;

    @Column(name = "UUID")
    @ApiParam("收获流水号")
    private Integer uuid;

    @Column(name = "MATNR")
    @ApiParam("物料编码")
    private String matnr;

    @Column(name = "ZDEV")
    @ApiParam("是否合格")
    private String zdev;

    @Column(name = "ZPOST")
    @ApiParam("交易日期")
    private String zPost;

    @Column(name = "ZTIME")
    @ApiParam("交易时间")
    private String zTime;

    @Column(name = "ADD_TIME_YMD")
    @ApiParam("添加日期")
    private String addTimeYmd;

    @Column(name = "ADDTIME_HMS")
    @ApiParam("添加时间")
    private String addTimeHms;

    @Column(name = "FINISHTIME_YMD")
    @ApiParam("处理日期")
    private String finishTimeYmd;

    @Column(name = "FINISHTIME_HMS")
    @ApiParam("处理时间")
    private String finishTimeHms;

    @Column(name = "DELETE_FLAG")
    @ApiParam("删除标记")
    private Integer deleteFlag;

    @Column(name = "READ_FLAG")
    @ApiParam("读取标识")
    private Integer readFlag;

    @Column(name = "ERR_CODE")
    @ApiParam("错误代")
    private String errCode;

    @Column(name = "ERR_MSG")
    @ApiParam("错误信息")
    private String errMsg;
}
