package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2021-07-28 18:32
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "WMS_QMS_IB")
@Api("工序外协接口表")
public class WmsQmsIb extends BaseBean implements Serializable {

        private static final long serialVersionUID = 1543736169792837863L;
        @Column(name = "RUID")
        @ApiParam("RUID")
        private Integer ruid;

        @Column(name = "UUID")
        @ApiParam("收获流水号")
        private Integer uuid;

        @Column(name = "WERKS")
        @ApiParam("域")
        private String werks;

        @Column(name = "LGORT")
        @ApiParam("地点")
        private String lgort;

        @Column(name = "WLBRT")
        @ApiParam("收获库位")
        private String wlbrt;

        @Column(name = "REFID")
        @ApiParam("单据号")
        private String refId;

        @Column(name = "ZEILE")
        @ApiParam("行号")
        private Integer zeile;

        @Column(name = "ACTION")
        @ApiParam("业务类型")
        private String action;

        @Column(name = "LIFNR")
        @ApiParam("供应商编码")
        private String lifnr;

        @Column(name = "MATNR")
        @ApiParam("物料编码")
        private String matnr;

        @Column(name = "ERFMG")
        @ApiParam("收获数量")
        private Integer erfmg;

        @Column(name = "ERFME")
        @ApiParam("计量单位")
        private String erfme;

        @Column(name = "CHKNO")
        @ApiParam("检验编号")
        private String chkno;

        @Column(name = "STONO")
        @ApiParam("炉批号")
        private String stono;

        @Column(name = "ZPOST")
        @ApiParam("收获日期")
        private String zpost;

        @Column(name = "ZTIME")
        @ApiParam("收获时间")
        private String ztime;

        @Column(name = "ADDTIME_YMD")
        @ApiParam("添加日期")
        private String addtimeYmd;

        @Column(name = "ADDTIME_HMS")
        @ApiParam("添加时间")
        private String addtimeHms;

        @Column(name = "FINISHTIME_YMD")
        @ApiParam("处理日期")
        private String finishtimeYmd;

        @Column(name = "FINISHTIME_HMS")
        @ApiParam("处理时间")
        private String finishtimeHms;

        @Column(name = "DELETE_FLAG")
        @ApiParam("删除标记")
        private Integer deleteFlag;

        @Column(name = "READ_FLAG")
        @ApiParam("读取标识")
        private Integer readFlag;

        @Column(name = "ERR_CODE")
        @ApiParam("错误代")
        private String errCode;

}
